### Function

# Shell util_get_translated_folder_name

#### Declaration [src]

    char*
    shell_util_get_translated_folder_name (
      const char* name
    )

#### Description [src]

Attempts to translate the folder `name` using translations provided by .directory files.

#### Parameters

`name`

  Type: `const char*`

  The untranslated folder name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `char*`

A translated string or `NULL`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.